=== debian/changelog ===
ros-rolling-pilz-industrial-motion-planner (2.4.0-1focal) focal; urgency=high

  * Remove 'using namespace' from header files. (#994 <https://github.com/ros-planning/moveit2/issues/994>)
  * Fix missing ament_cmake_gtest dependency (#981 <https://github.com/ros-planning/moveit2/issues/981>)
  * Remove some Maintainers from Pilz Planner (#971 <https://github.com/ros-planning/moveit2/issues/971>)
  * Fix usage of boost placeholder (#958 <https://github.com/ros-planning/moveit2/issues/958>)
  * Merge https://github.com/ros-planning/moveit/commit/a0ee2020c4a40d03a48044d71753ed23853a665d
  * Remove '-W*' options from cmake files (#2903 <https://github.com/ros-planning/moveit2/issues/2903>)
  * Add test for pilz planner with attached objects (#2878 <https://github.com/ros-planning/moveit2/issues/2878>)
    * Add test case for #2824 <https://github.com/ros-planning/moveit2/issues/2824>
    Co-authored-by: Cristian Beltran <mailto:cristianbehe@gmail.com>
    Co-authored-by: Joachim Schleicher <mailto:joachimsl@gmx.de>
    Co-authored-by: jschleicher <mailto:j.schleicher@pilz.de>
  * Contributors: Abishalini, Cory Crean, Leroy Rügemer, Tyler Weaver, Wolf Vollprecht, cambel, jschleicher

 -- Christian Henkel <c.henkel@pilz.de>  Thu, 20 Jan 2022 07:00:00 -0000

ros-rolling-pilz-industrial-motion-planner (2.3.2-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 29 Dec 2021 07:00:00 -0000

ros-rolling-pilz-industrial-motion-planner (2.3.1-1focal) focal; urgency=high

  * Convert to modern include guard #882 <https://github.com/ros-planning/moveit2/issues/882> (#891 <https://github.com/ros-planning/moveit2/issues/891>)
  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * Get rid of "std::endl" (#918 <https://github.com/ros-planning/moveit2/issues/918>)
  * changed post-increments in loops to preincrements (#888 <https://github.com/ros-planning/moveit2/issues/888>)
  * Consider simulated time (#883 <https://github.com/ros-planning/moveit2/issues/883>)
  * Use CallbackGroup for MoveGroupSequenceAction
  * PILZ: Build fixups, silence warnings, fix unit tests
  * PILZ: Migrate and Restructure test directory
  * PILZ: Migrate planner and testutils packages to ROS 2
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Consider attached bodies in Pilz planner #2773 <https://github.com/ros-planning/moveit/issues/2773> (#2824 <https://github.com/ros-planning/moveit/issues/2824>)
    - Remove convertToRobotTrajectory() and integrate its line of code into setSuccessResponse()
    - Pass the final start_state into setSuccessResponse()
  * Fix Pilz planner's collision detection (#2803 <https://github.com/ros-planning/moveit/issues/2803>)
    We need to pass the current PlanningScene down to the actual collision checking methods
  * Add planning_pipeline_id to MotionSequence service (#2755 <https://github.com/ros-planning/moveit/issues/2755>)
    * Add planning_pipeline_id to MotionSequence action and service
    * check for empty request
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Improve readability of comment
  * Contributors: David V. Lu!!, Felix von Drigalski, Gaël Écorchard, Henning Kayser, Parthasarathy Bana, Robert Haschke, Sebastian Jahr, Sencer Yazıcı, aa-tom, cambel, predystopic-dev, pvanlaar
  * [feature] Add Pilz industrial motion planner (#1893 <https://github.com/tylerjw/moveit/issues/1893>)
  * Contributors: Pilz GmbH and Co. KG, Christian Henkel, Immanuel Martini, Joachim Schleicher, rfeistenauer

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 23 Dec 2021 07:00:00 -0000
