=== debian/control ===
Source: ros-rolling-pilz-industrial-motion-planner
Section: misc
Priority: optional
Maintainer: Christian Henkel <c.henkel@pilz.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-eigen3-cmake-module, ros-rolling-geometry-msgs, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-moveit-msgs, ros-rolling-moveit-resources-panda-moveit-config, ros-rolling-moveit-resources-prbt-moveit-config, ros-rolling-moveit-resources-prbt-pg70-support, ros-rolling-moveit-resources-prbt-support, ros-rolling-moveit-ros-move-group, ros-rolling-moveit-ros-planning, ros-rolling-moveit-ros-planning-interface, ros-rolling-orocos-kdl, ros-rolling-pilz-industrial-motion-planner-testutils, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-tf2, ros-rolling-tf2-eigen, ros-rolling-tf2-eigen-kdl, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-kdl, ros-rolling-tf2-ros, ros-rolling-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-rolling-pilz-industrial-motion-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-eigen3-cmake-module, ros-rolling-geometry-msgs, ros-rolling-moveit-core, ros-rolling-moveit-msgs, ros-rolling-moveit-ros-move-group, ros-rolling-moveit-ros-planning, ros-rolling-moveit-ros-planning-interface, ros-rolling-orocos-kdl, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-tf2, ros-rolling-tf2-eigen, ros-rolling-tf2-eigen-kdl, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-kdl, ros-rolling-tf2-ros, ros-rolling-ros-workspace
Description: MoveIt plugin to generate industrial trajectories PTP, LIN, CIRC and sequences thereof.
