## ros-rolling-pilz-industrial-motion-planner 2.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 3.10.2)
-project(pilz_industrial_motion_planner)
+cmake_minimum_required(VERSION 3.22)
+project(pilz_industrial_motion_planner LANGUAGES CXX)
 
 # Common cmake code applied to all moveit packages
 find_package(moveit_common REQUIRED)
@@ -10,6 +10,7 @@
 find_package(Eigen3 REQUIRED)
 # TODO(henning): Enable when this is available
 # find_package(joint_limits_interface REQUIRED)
+find_package(generate_parameter_library REQUIRED)
 find_package(geometry_msgs REQUIRED)
 find_package(moveit_core REQUIRED)
 find_package(moveit_msgs REQUIRED)
@@ -62,6 +63,7 @@
   Eigen3
   eigen3_cmake_module
   # joint_limits_interface
+  generate_parameter_library
   geometry_msgs
   moveit_core
   moveit_msgs
@@ -85,9 +87,15 @@
 ## Libraries ##
 ###############
 
+generate_parameter_library(
+  cartesian_limits_parameters # cmake target name for the parameter library
+  src/cartesian_limits_parameters.yaml # path to input yaml file
+)
+
 add_library(planning_context_loader_base SHARED
   src/planning_context_loader.cpp
 )
+target_link_libraries(planning_context_loader_base cartesian_limits_parameters)
 ament_target_dependencies(planning_context_loader_base ${THIS_PACKAGE_INCLUDE_DEPENDS})
 
 add_library(joint_limits_common SHARED
@@ -95,9 +103,8 @@
   src/joint_limits_container.cpp
   src/joint_limits_validator.cpp
   src/limits_container.cpp
-  src/cartesian_limit.cpp
-  src/cartesian_limits_aggregator.cpp
-)
+)
+target_link_libraries(joint_limits_common cartesian_limits_parameters)
 ament_target_dependencies(joint_limits_common ${THIS_PACKAGE_INCLUDE_DEPENDS})
 
 add_library(trajectory_generation_common SHARED
@@ -105,23 +112,25 @@
   src/trajectory_generator.cpp
   src/trajectory_blender_transition_window.cpp
 )
+target_link_libraries(trajectory_generation_common cartesian_limits_parameters)
 ament_target_dependencies(trajectory_generation_common ${THIS_PACKAGE_INCLUDE_DEPENDS})
 
 add_library(command_list_manager SHARED
   src/command_list_manager.cpp
   src/plan_components_builder.cpp
 )
+target_link_libraries(command_list_manager trajectory_generation_common joint_limits_common)
 ament_target_dependencies(command_list_manager ${THIS_PACKAGE_INCLUDE_DEPENDS})
 
 #############
 ## Plugins ##
 #############
 
-add_library(${PROJECT_NAME} SHARED
-  src/${PROJECT_NAME}.cpp
-)
-ament_target_dependencies(${PROJECT_NAME} ${THIS_PACKAGE_INCLUDE_DEPENDS})
-target_link_libraries(${PROJECT_NAME}
+add_library(pilz_industrial_motion_planner SHARED
+  src/pilz_industrial_motion_planner.cpp
+)
+ament_target_dependencies(pilz_industrial_motion_planner ${THIS_PACKAGE_INCLUDE_DEPENDS})
+target_link_libraries(pilz_industrial_motion_planner
   planning_context_loader_base
   joint_limits_common)
 
@@ -161,13 +170,14 @@
 ## Install ##
 #############
 pluginlib_export_plugin_description_file(moveit_core plugins/pilz_industrial_motion_planner_plugin_description.xml)
-pluginlib_export_plugin_description_file(move_group plugins/sequence_capability_plugin_description.xml)
+pluginlib_export_plugin_description_file(moveit_ros_move_group plugins/sequence_capability_plugin_description.xml)
 pluginlib_export_plugin_description_file(pilz_industrial_motion_planner plugins/planning_context_plugin_description.xml)
 
 ## Mark libraries for installation
 install(
   TARGETS
-    ${PROJECT_NAME}
+    pilz_industrial_motion_planner
+    cartesian_limits_parameters
     joint_limits_common
     planning_context_loader_base
     planning_context_loader_ptp
@@ -176,23 +186,23 @@
     command_list_manager
     sequence_capability
     trajectory_generation_common
-  EXPORT ${PROJECT_NAME}Targets
+  EXPORT pilz_industrial_motion_plannerTargets
   LIBRARY DESTINATION lib
   ARCHIVE DESTINATION lib
   RUNTIME DESTINATION bin
-  INCLUDES DESTINATION include
+  INCLUDES DESTINATION include/pilz_industrial_motion_planner
 )
 
 install(
   DIRECTORY include/
-  DESTINATION include
+  DESTINATION include/pilz_industrial_motion_planner
 )
 
 ament_export_include_directories(
-  include
-)
-ament_export_targets(${PROJECT_NAME}Targets HAS_LIBRARY_TARGET)
-ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})
+  include/pilz_industrial_motion_planner
+)
+ament_export_targets(pilz_industrial_motion_plannerTargets HAS_LIBRARY_TARGET)
+ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS} orocos_kdl_vendor)
 
 if(BUILD_TESTING)
   # Include Tests
@@ -202,7 +212,6 @@
 
   # These don't pass yet, disable them for now
   set(ament_cmake_copyright_FOUND TRUE)
-  set(ament_cmake_cppcheck_FOUND TRUE)
   set(ament_cmake_cpplint_FOUND TRUE)
   set(ament_cmake_flake8_FOUND TRUE)
   set(ament_cmake_uncrustify_FOUND TRUE)
