=== debian/control ===
Source: ros-rolling-pilz-industrial-motion-planner
Section: misc
Priority: optional
Maintainer: Christian Henkel <c.henkel@pilz.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev <!nocheck>, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-eigen3-cmake-module, ros-rolling-generate-parameter-library, ros-rolling-geometry-msgs, ros-rolling-launch-param-builder <!nocheck>, ros-rolling-moveit-common, ros-rolling-moveit-configs-utils <!nocheck>, ros-rolling-moveit-core, ros-rolling-moveit-msgs, ros-rolling-moveit-resources-panda-moveit-config <!nocheck>, ros-rolling-moveit-resources-prbt-moveit-config <!nocheck>, ros-rolling-moveit-resources-prbt-pg70-support <!nocheck>, ros-rolling-moveit-resources-prbt-support <!nocheck>, ros-rolling-moveit-ros-move-group, ros-rolling-moveit-ros-planning, ros-rolling-moveit-ros-planning-interface, ros-rolling-orocos-kdl-vendor, ros-rolling-pilz-industrial-motion-planner-testutils <!nocheck>, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-ros-testing <!nocheck>, ros-rolling-tf2, ros-rolling-tf2-eigen, ros-rolling-tf2-eigen-kdl, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-kdl, ros-rolling-tf2-ros, ros-rolling-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-rolling-pilz-industrial-motion-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-eigen3-cmake-module, ros-rolling-generate-parameter-library, ros-rolling-geometry-msgs, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-moveit-msgs, ros-rolling-moveit-ros-move-group, ros-rolling-moveit-ros-planning, ros-rolling-moveit-ros-planning-interface, ros-rolling-orocos-kdl-vendor, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-tf2, ros-rolling-tf2-eigen, ros-rolling-tf2-eigen-kdl, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-kdl, ros-rolling-tf2-ros, ros-rolling-ros-workspace
Description: MoveIt plugin to generate industrial trajectories PTP, LIN, CIRC and sequences thereof.
